Драйвера видеокарты.

Автор Makiavelly, 18 февраля 2012, 16:13:38

« назад - далее »

0 Пользователи и 1 гость просматривают эту тему.

Makiavelly

Здравствуйте. Пользуюсь видеокартой Radeon HD 5700, скачал с сайта производителя драйвер- скрипт с расширением .run
Запустил его
sh мой_скрипт.run
Выбрал установку драйвера на Xorg, вобщем- то он и установился:) После перезагрузки системы окна стали перемещаться рывками, тоже самое с большинством анимаций.
В мане к дровам прочитал, что можно сгенерировать .deb пакет, установщик драйвера советует запустить скрипт с ключем --listpkg

List of generatable packages:

Package Maintainer(s): Aric Cyr <aric.cyr@gmail.com>
                      Mario Limonciello <superm1@gmail.com>
Status: *UNVERIFIED*
Debian Packages:
Debian/sid
Debian/unstable
Debian/etch
Debian/stable
Debian/lenny
Debian/testing
Debian/experimental

Package Maintainer(s): Niko Mirthes <nmirthes@gmail.com>
                      Michael Larabel <michael@phoronix.com>
Status: *UNVERIFIED*
Fedora Packages:
Fedora/FC3
Fedora/FC4
Fedora/FC5
Fedora/FC6
Fedora/F7
Fedora/F8
Fedora/F9
Fedora/F10
Fedora/RHEL3
Fedora/RHEL4

Package Maintainer(s): Anssi Hannula <anssi@mageia.org>
Status: *UNVERIFIED*
Mageia Packages:
Mageia/1
Mageia/2

Package Maintainer(s): Anssi Hannula <anssi@mandriva.org>
Status: *UNVERIFIED*
Mandriva Packages:
Mandriva/2007.0
Mandriva/2007.1
Mandriva/2008.0
Mandriva/2008.1
Mandriva/2009.0
Mandriva/2009.1
Mandriva/2010.0
Mandriva/2010.1
Mandriva/2010.2
Mandriva/2011.0
Mandriva/2012.0

Package Maintainer(s): AMD
Status: Verified
RedHat Packages:
RedHat/RHEL5_64a
RedHat/RHEL6_64a
RedHat/RHEL5
RedHat/RHEL6

Package Maintainer(s): Emanuele Tomasi <tomasi@cli.di.unipi.it>
Status: *UNVERIFIED*
Slackware Packages:
Slackware/Slackware

Package Maintainer(s): Sebastian Siebert <freespacer@gmx.de>
Status: *UNVERIFIED*
SuSE Packages:
SuSE/SLE10-IA32
SuSE/SLE10-AMD64
SuSE/SLE11-IA32
SuSE/SLE11-AMD64
SuSE/SUSE113-IA32
SuSE/SUSE113-AMD64
SuSE/SUSE114-IA32
SuSE/SUSE114-AMD64
SuSE/SUSE121-IA32
SuSE/SUSE121-AMD64
SuSE/SUSE-autodetection

Package Maintainer(s): Alberto Milone <alberto.milone@canonical.com>
Status: *UNVERIFIED*
Ubuntu Packages:
Ubuntu/gutsy
Ubuntu/hardy
Ubuntu/intrepid
Ubuntu/jaunty
Ubuntu/karmic
Ubuntu/lucid
Ubuntu/maverick
Ubuntu/natty
Ubuntu/oneiric
Ubuntu/source

For example, to build a Debian Etch package, run the following:
% ./ati-driver-installer-<version>-<architecture>.run --buildpkg Debian/etch


Дальше вижу пример комманды для генерации нужного мне пакета, ввожу, например:

sh /home/bain/amd-driver-installer-12-1-x86.x86_64.run --buildpkg Debian/stable
Created directory fglrx-install.dJIsnZ
Verifying archive integrity... All good.
Uncompressing AMD Catalyst(TM) Proprietary Driver-8.93
=====================================================================
AMD Catalyst(TM) Proprietary Driver Installer/Packager
=====================================================================
Generating package: Debian/stable
./packages/Debian/ati-packager.sh: 177: dpkg-architecture: not found
Error: unsupported architecture:
Removing temporary directory: fglrx-install.dJIsnZ

Где копать и как его поставить? >:(
СМИ, наша культура — всё откладывает яйца у меня под кожей. Большой Брат наполняет меня желанием удовлетвоорять потребности. Нужен ли мне большой дом, быстрый автомобиль, тысяча безотказных красоток для секса? Мне действительно все это нужно? Или меня так натаскали?

ihammers

#1
Цитата: Makiavelly от 18 февраля 2012, 16:13:38
Здравствуйте. Пользуюсь видеокартой Radeon HD 5700, скачал с сайта производителя драйвер- скрипт с расширением .run
...
Какая система?  Пробовали установить из репозитория?  Стоит ли драйвер в xorg?

Должны быть следующие строки в /etc/X11/xorg.conf

Section "Device"
        Identifier  "aticonfig-Device[0]-0"
        Driver      "fglrx"
EndSection


PS: смотрите следующие ссылки: Debian Wiki, ATI drivers
Debian GNU/Linux Stretch, kernel 4.9.0-5-amd64,
LXQt/KDE/OpenBox AMD Phenon X4 / 16Gb RAM / ATI HD7750 Silent
_______________________________
Debian GNU/Linux Stretch, kernel 4.9.0-5-amd64, LXQt/KDE/OpenBox
Acer Aspire One 722 AMD C60 / 4Gb RAM / ATI HD6290

Metrix

Makiavelly, удали что установил и установи по этой инструкции
Там есть пункт Lenny-backports/Squeeze/Sid
Ниже ссылки для проверки производительности
Юзербар в отпуске

Makiavelly

#3
Цитата: ihammers от 18 февраля 2012, 17:02:20
Цитата: Makiavelly от 18 февраля 2012, 16:13:38
Здравствуйте. Пользуюсь видеокартой Radeon HD 5700, скачал с сайта производителя драйвер- скрипт с расширением .run
...
Какая система?  Пробовали установить из репозитория?  Стоит ли драйвер в xorg?

Должны быть следующие строки в /etc/X11/xorg.conf

Section "Device"
        Identifier  "aticonfig-Device[0]-0"
        Driver      "fglrx"
EndSection


PS: смотрите следующие ссылки: Debian Wiki, ATI drivers

AMD64, xorg стоит, но не обеспечивает полные возможности видеокарты

Цитата: Metrix от 18 февраля 2012, 17:54:27
Makiavelly, удали что установил и установи по этой инструкции
Там есть пункт Lenny-backports/Squeeze/Sid
Ниже ссылки для проверки производительности

Это 1й результат гугла, но всё запарывается на 1м этапе фака, а именно:
apt-get install fglrx-glx module-assistant
выдает
E: Не удалось найти пакет fglrx-glx

---------------------------------------------

Вобщем Я уже и сам разобрался, в одном из гайдов советовали переименовать скрипт в drv.run и положить его в папку drv, которой следует находиться в домашней директории, теперь при выполнении
sudo sh /home/bain/drv/drv.run --buildpkg Debian/stable
пишет

bain@Home-Server:~$ sudo sh /home/bain/drv/drv.run --buildpkg Debian/lenny
Created directory fglrx-install.2LdaAQ
Verifying archive integrity... All good.
Uncompressing AMD Catalyst(TM) Proprietary Driver-8.93...
=====================================================================
AMD Catalyst(TM) Proprietary Driver Installer/Packager
=====================================================================
Generating package: Debian/lenny
cp: cannot stat `/home/bain/fglrx-install.2LdaAQ/x710_64a/*': No such file or directory
Package build failed!

СМИ, наша культура — всё откладывает яйца у меня под кожей. Большой Брат наполняет меня желанием удовлетвоорять потребности. Нужен ли мне большой дом, быстрый автомобиль, тысяча безотказных красоток для секса? Мне действительно все это нужно? Или меня так натаскали?

Metrix

#4
Makiavelly, для Дебиан ты не соберешь пакет. Я это тебе из личного опыта скажу (мне гуру дебиана сказали)
Покажи вывод
cat /etc/apt/sources.list

Сообщение объединено: 18 февраля 2012, 21:31:16

Я всегда ставлю по тому факу, но последний раз поставил как ты только с ключом --force (не тру конечно но работает без проблем)
# sh драйвер.run --force
не помню команду вроде так


Сообщение объединено: 18 февраля 2012, 21:32:27

Но по факу самый проверенный и рабочий способ
Юзербар в отпуске

Makiavelly

#5
Цитата: Metrix от 18 февраля 2012, 21:26:19
Makiavelly, для Дебиан ты не соберешь пакет. Я это тебе из личного опыта скажу (мне гуру дебиана сказали)
Покажи вывод
cat /etc/apt/sources.list

Сообщение объединено: 18 февраля 2012, 21:31:16

Я всегда ставлю по тому факу, но последний раз поставил как ты только с ключом --force (не тру конечно но работает без проблем)
# sh драйвер.run --force
не помню команду вроде так


Сообщение объединено: 18 февраля 2012, 21:32:27

Но по факу самый проверенный и рабочий способ

#

# deb cdrom:[Debian GNU/Linux 6.0.4 _Squeeze_ - Official amd64 CD Binary-1 20120128-13:42]/ squeeze main

deb cdrom:[Debian GNU/Linux 6.0.4 _Squeeze_ - Official amd64 CD Binary-1 20120128-13:42]/ squeeze main

deb http://ftp.ru.debian.org/debian/ squeeze main
deb-src http://ftp.ru.debian.org/debian/ squeeze main

deb http://security.debian.org/ squeeze/updates main
deb-src http://security.debian.org/ squeeze/updates main

# squeeze-updates, previously known as 'volatile'
deb http://ftp.ru.debian.org/debian/ squeeze-updates main
deb-src http://ftp.ru.debian.org/debian/ squeeze-updates main


установка с ключом --force не помогла
СМИ, наша культура — всё откладывает яйца у меня под кожей. Большой Брат наполняет меня желанием удовлетвоорять потребности. Нужен ли мне большой дом, быстрый автомобиль, тысяча безотказных красоток для секса? Мне действительно все это нужно? Или меня так натаскали?

Metrix

Добавь contrib non-free
deb http://ftp.ru.debian.org/debian/ squeeze main contrib non-free
deb-src http://ftp.ru.debian.org/debian/ squeeze main contrib non-free

После
# aptitude update
# apt-get install fglrx-glx fglrx-modules-dkms linux-headers-$(uname -r)


Сообщение объединено: 18 февраля 2012, 21:55:34

Только удали что устанавливал
Юзербар в отпуске

Makiavelly

Цитата: Metrix от 18 февраля 2012, 21:54:28
Добавь contrib non-free
deb http://ftp.ru.debian.org/debian/ squeeze main contrib non-free
deb-src http://ftp.ru.debian.org/debian/ squeeze main contrib non-free

После
# aptitude update
# apt-get install fglrx-glx fglrx-modules-dkms linux-headers-$(uname -r)


Сообщение объединено: 18 февраля 2012, 21:55:34

Только удали что устанавливал

Подскажи как удалить, пожалуйста, не вижу ничего похожего в синаптике
СМИ, наша культура — всё откладывает яйца у меня под кожей. Большой Брат наполняет меня желанием удовлетвоорять потребности. Нужен ли мне большой дом, быстрый автомобиль, тысяча безотказных красоток для секса? Мне действительно все это нужно? Или меня так натаскали?

Metrix

Юзербар в отпуске

Makiavelly

Спасибо, вроде помогло:)
СМИ, наша культура — всё откладывает яйца у меня под кожей. Большой Брат наполняет меня желанием удовлетвоорять потребности. Нужен ли мне большой дом, быстрый автомобиль, тысяча безотказных красоток для секса? Мне действительно все это нужно? Или меня так натаскали?

Metrix

#10
Не за что, главное чтоб работало :)

Сообщение объединено: 18 февраля 2012, 23:02:14

Забыл. Убери non-free в этой строке
Цитата: Makiavelly от 18 февраля 2012, 22:02:34deb-src http://ftp.ru.debian.org/debian/ squeeze main contrib non-free
Юзербар в отпуске

Makiavelly

Да работает, даже компиз теперь нормально летает:) правда при перетаскивании окон они немного искажаются, но это не страшно, не знаю что бы делал без тебя, уже собирался сносить дебиан:)
СМИ, наша культура — всё откладывает яйца у меня под кожей. Большой Брат наполняет меня желанием удовлетвоорять потребности. Нужен ли мне большой дом, быстрый автомобиль, тысяча безотказных красоток для секса? Мне действительно все это нужно? Или меня так натаскали?

Metrix

#12
Цитата: Makiavelly от 18 февраля 2012, 23:16:19Да работает, даже компиз теперь нормально летает:) правда при перетаскивании окон они немного искажаются, но это не страшно, не знаю что бы делал без тебя, уже собирался сносить дебиан:)
В Система-Параметры-Ati Catalist Control там в настройках включи Снижение помех, найдешь там все ясно.

Сообщение объединено: 19 февраля 2012, 00:21:37

Открыть содержимое (спойлер)
Рад помочь ;)
[свернуть]
Юзербар в отпуске

duletant

Ребят, борюсь с установкой подобной карточки.
Ноутбук HP625, Debian Wheezy 3.2.0-1-486
lspci | grep VGA
01:05.0 VGA compatible controller: ATI Technologies Inc RS880M [Mobility Radeon HD 4200 Series]
с помощью sgfxi "дрова" поставить не удалось, вобщем не удалось их поставить многими вариантами и вот наткнулся на эту тему.
Последовал совету Metrix, установил пакетыaptitude install fglrx-glx fglrx-modules-dkms linux-headers-$(uname -r)
После установки пытаюсь обновить xorg.conf, в ответ получаю следующее:
aticonfig --initial
bash: aticonfig: команда не найдена
Без файла xorg.conf карточка не полностью раскрывает свой потенциал.
Подскажите, пожалуйста, как быть в данной ситуации?

Malaheenee

С sudo выполняете (а то мало ли)? А вообще, можно и просто "вырубить" иксы и выполнить X -configure.
Все мы где-то, когда-то и в чем-то были новичками.